www.cendio.com

Bug 3725

Summary: Support Wyse SLETC
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: Client platformsAssignee: Karl Mikaelsson <derfian@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: astrand_tester
Version: pre-1.0   
Target Milestone: 4.1.0   
Hardware: PC   
OS: Linux   
Bug Depends on:    
Bug Blocks: 4503    

Description From cendio 2011-01-24 09:32:55
Apparently Suse is the way of the future and Wyse's own variant of Linux has
gone the way of the Dodo. We need to at least document this in the TAG and
possibly also evaluate how we will handle the new OS.
------- Comment #1 From cendio 2012-11-29 18:52:56 -------
Packaging for Wyse SLES (also known as Wyse Linux V7, Wyse Enhanced SuSE Linux,
or SLETC) seems to be fairly straightforward, judging from an official addon
I've looked at.

A RPM file installs a SquashFS image to /var/lib/addons/<name>.squash.
The SquashFS image contains the actual files for the addon, as well as a
/etc/addons.d/<NAME>/ folder with a bunch of special files in it. This folder
doesn't look look terribly different from the Wyse V6 packaging control.tar.bz2
file, but more investigation is needed.
------- Comment #2 From cendio 2012-12-04 12:50:56 -------
It compiles, so...

* mksquashfs added to cenbuild in r26249
* Makefile changes committed in r26266
* rpm spec file template added in r26267

Next up: making sure the package actually works.
------- Comment #5 From cendio 2013-02-25 14:10:00 -------
* r26685 makes the client installable on Wyse SLE 11 clients
* r26686 makes it work with the connection manager (this breaks compatibility
with the Wyse PAK client)
* r26687 adds a couple of symlinks so the icons will show in the connection
manager.

What remains:
- Make sure all client features work properly
------- Comment #6 From cendio 2013-02-27 13:04:31 -------
* Docs updated in r26696
------- Comment #7 From cendio 2013-04-16 13:52:14 -------
Additional testing performed. I'm happy with this now.
------- Comment #8 From cendio 2013-05-23 11:39:24 -------
Tested installation on Wyse Z50D:

Package installation: works

Adding a connection profile: works

Video playback (youtube): works ok, although fullscreen in 1680x1025 was a
little bit slow)

Sound: works very well. 

Serial ports: not tested

Local printing: Works 

Smart card auth: Works great

Smart card redirection: Works great


Needs fixes:

Local drive redirection: Works, but at least /dev/usbstorage-0 should be
defined by default. 

Keyboard: Does NOT work correctly, "|" is generated with Alt pressed
------- Comment #9 From cendio 2013-05-23 13:34:05 -------
> Keyboard: Does NOT work correctly, "|" is generated with Alt pressed

Moved to bug 4653. 


Remains:

* Local drive redirection: Works, but at least /dev/usbstorage-0 should be
defined by default. 

* ThinLinc definition in connection manager is lost after reboot.
------- Comment #10 From cendio 2013-05-27 16:40:50 -------
(In reply to comment #9)
> > Keyboard: Does NOT work correctly, "|" is generated with Alt pressed
> 
> Moved to bug 4653. 
> 
> 
> Remains:
> 
> * Local drive redirection: Works, but at least /dev/usbstorage-0 should be
> defined by default. 

Fixed in r27450. FWIW, you meant /media/usbstorage-0.

> * ThinLinc definition in connection manager is lost after reboot.

Committed r27451, but I still need to verify that this solves the problem.
------- Comment #11 From cendio 2013-05-27 17:39:18 -------
(In reply to comment #10)
> > * ThinLinc definition in connection manager is lost after reboot.
> 
> Committed r27451, but I still need to verify that this solves the problem.

Verified.

I also found what is creating the desktop shortcuts and figured out how I was
doing it wrong before, so r27452 also adds desktop shortcuts for new
connections.
------- Comment #12 From cendio 2013-05-29 10:20:31 -------
Works great now.
------- Comment #13 From cendio 2013-06-11 12:51:37 -------
Need to re-test with SP2.
------- Comment #14 From cendio 2013-06-11 13:15:20 -------
Apparently, those crazy folks at Wyse has decided that SP2 should not be
compatible with SP1. Special packages are required. I've decided that we will
not support SP1; only SP2. Thus, we need to update our documentation and
packages to support SP2 instead of SP1.
------- Comment #15 From cendio 2013-06-11 17:23:40 -------
Peter was in a hurry and committed the version change in r27508. I updated the
documentation in r27509.
------- Comment #16 From cendio 2013-06-13 12:52:27 -------
(In reply to comment #8)
> Tested installation on Wyse Z50D:
> 
> Package installation: works
> 
> Adding a connection profile: works
> 
> Video playback (youtube): works ok, although fullscreen in 1680x1025 was a
> little bit slow)
> 
> Sound: works very well. 
> 
> Serial ports: not tested
> 
> Local printing: Works 
> 
> Smart card auth: Works great
> 
> Smart card redirection: Works great
> 
> 
> Needs fixes:
> 
> Local drive redirection: Works, but at least /dev/usbstorage-0 should be
> defined by default. 

Tested again on SP2, everything seems to work now. Local drive redir was a bit
strange, but that could be my USB stick as well (which I believe is FAT
formatted).